%define	major     16
%define libname   %mklibname %{name} %{major}
%define develname %mklibname -d %{name}

%define doctarget %{_defaultdocdir}/%{name}-%{version}

Summary:	A lightweight database library
Name:		kyotocabinet
Version:	1.2.76
Release:	%mkrel 10
Group:		Databases
License:	GPLv3
URL:		http://fallabs.com/kyotocabinet/
Source0:	http://fallabs.com/%{name}/pkg/%{name}-%{version}.tar.gz
Patch0:		kyotocabinet-1.2.76-gcc6.patch
BuildRequires:	pkgconfig(zlib)
Conflicts:	%{name}-api-doc < 1.2.76-3

%description
Kyoto Cabinet is a library of routines for managing a database. The database is
a simple data file containing records, and each record is a pair of a key and a
value.  Every key and value is an array of bytes with variable length. Both
binary data and character strings can be used as a key or a value. There is
neither a concept of tables nor of data types.

%package -n	%{libname}
Summary:	A lightweight database library
Group:		System/Libraries
Conflicts:	%{name} < 1.2.76-3

%description -n	%{libname}
Kyoto Cabinet is a library of routines for managing a database. The database is
a simple data file containing records, and each record is a pair of a key and a
value.  Every key and value is an array of bytes with variable length. Both
binary data and character strings can be used as a key or a value. There is
neither a concept of tables nor of data types.

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C
Provides:	%{name}-devel = %{version}
Requires:	%{libname} = %{version}
Obsoletes:	%{name}-devel < 1.2.76-3
Conflicts:	%{name} < 1.2.76-3

%description -n	%{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

%package	api-doc
Summary:	Development documentation for %{name}
Group:		Documentation
Conflicts:	%{name} < 1.2.76-3
BuildArch:	noarch

%description	api-doc
The %{name}-api-doc package contains API documentation for developing
applications that use %{name}.

%prep

%autosetup -p1
sed -i -e 's/ -g0 -O2//' -e 's/ -O0//' configure*

%build
%configure \
    --disable-static \
    --disable-opt \
    --docdir=%{doctarget}

%make_build

#%%check <- takes forever...
#make check

%install

%make_install

rm -rf %{buildroot}%{_libdir}/*.*a

%files
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{libname}
%doc COPYING ChangeLog README
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files api-doc
%{doctarget}


%changelog
* Thu Feb 13 2020 umeabot <umeabot> 1.2.76-10.mga8
+ Revision: 1513764
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.2.76-9.mga7
+ Revision: 1298701
- Mageia 7 Mass Rebuild

* Wed Oct 11 2017 daviddavid <daviddavid> 1.2.76-8.mga7
+ Revision: 1170853
- patch0: fix build with gcc6

* Wed Feb 03 2016 umeabot <umeabot> 1.2.76-7.mga6
+ Revision: 933384
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.76-6.mga5
+ Revision: 749927
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.76-5.mga5
+ Revision: 681259
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.2.76-4.mga4
+ Revision: 521290
- Mageia 4 Mass Rebuild

* Sun Jan 20 2013 oden <oden> 1.2.76-3.mga3
+ Revision: 390043
- major overhaul, libifiction, etc

* Sat Jan 12 2013 umeabot <umeabot> 1.2.76-2.mga3
+ Revision: 356630
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 21 2012 spuhler <spuhler> 1.2.76-1.mga3
+ Revision: 308611
- changed the groups
  Reverted back to make install DESTDIR=$RPM_BUILD_ROOT
  it will not build otherwise
- corrected Group
- mageified spec file
  first release
- imported package kyotocabinet


* Wed Oct 19 2011 Casey Dahlin <cdahlin@redhat.com> - 1.2.70-2
- Prevent -march=native build flag [735822], credit Ville Skyatta
  <ville.skyata@iki.fi>

* Mon Aug 31 2011 Casey Dahlin <cdahlin@redhat.com> - 1.2.70-1
- Update to latest upstream

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.31-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 3 2011 Casey Dahlin <cjdahlin@ncsu.edu> - 1.2.31-2
- Correct files list for soname bump

* Mon Jan 3 2011 Casey Dahlin <cdahlin@redhat.com> - 1.2.31-1
- Update to latest upstream

* Mon Dec 13 2010 Casey Dahlin <cdahlin@redhat.com> - 1.2.29-1
- Update to latest upstream

* Fri Dec 10 2010 Casey Dahlin <cdahlin@redhat.com> - 1.2.27-2
- Separate out devel-doc package
- Make sure we own our documentation folder
- Kill rpath

* Wed Dec 8 2010 Casey Dahlin <cdahlin@redhat.com> - 1.2.27-1
- Initial packaging
